com.sun.javadoc

## Interface AnnotationValue

-     public interface AnnotationValue

  Represents a value of an annotation type element.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns a string representation of the value.
    `Object` | `value()` Returns the value.

- - ### Method Detail

    - #### value

          Object value()

      Returns the value. The type of the returned object is one of the following:
      - a wrapper class for a primitive type
      - `String`
      - `Type` (representing a class literal)
      - `FieldDoc` (representing an enum constant)
      - `AnnotationDesc`
      - `AnnotationValue[]`
      Returns:
        the value.

    - #### toString

          String toString()

      Returns a string representation of the value.
      Overrides:
        `toString` in class `Object`
      Returns:
        the text of a Java language annotation value expression whose value is the value of this element.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2014, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.